<?php 
#######################################################################################
##
#  PHPギャラリー　ver1.0.0 (2013.07.13公開)
#
#  画像ギャラリーのプログラムです。
#　任意のページに埋め込みギャラリーページとして運用できます。
#  改造や改変は自己責任で行ってください。
#	
#  今のところ特に問題点はありませんが、不具合等がありましたら下記までご連絡ください。
#  MailAddress: info@php-factory.net
#  name: K.Numata
#  HP: http://www.php-factory.net/
##
#######################################################################################

//----------------------------------------------------------------------
//  ログイン処理 (START)
//----------------------------------------------------------------------
session_start();
header("Content-Type: text/html;charset=UTF-8");
header("Expires: Thu, 01 Dec 1994 16:00:00 GMT");
header("Last-Modified: ". gmdate("D, d M Y H:i:s"). " GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

#設定ファイルインクルード
include_once("config.php");
if(isset($_GET['logout'])){
$_SESSION = array();
# セッションを破棄
session_destroy();
}
$error = '';
# セッション変数を初期化
if (!isset($_SESSION['auth'])) {
  $_SESSION['auth'] = FALSE;
}
if (isset($_POST['userid']) && isset($_POST['password'])){
  foreach ($userid as $key => $value) {
    if ($_POST['userid'] === $userid[$key] &&
        $_POST['password'] === $password[$key]) {
      $oldSid = session_id();
      session_regenerate_id(TRUE);
      if (version_compare(PHP_VERSION, '5.1.0', '<')) {
        $path = session_save_path() != '' ? session_save_path() : '/tmp';
        $oldSessionFile = $path . '/sess_' . $oldSid;
        if (file_exists($oldSessionFile)) {
          unlink($oldSessionFile);
        }
      }
      $_SESSION['auth'] = TRUE;
      break;
    }
  }
  if ($_SESSION['auth'] === FALSE) {
    $error = '<p class="taC"><font color="red">ユーザーIDかパスワードに誤りがあります。</font></p>';
  }
}
if ($_SESSION['auth'] !== TRUE) {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta name="robots" content="noindex,nofollow" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>新着情報、お知らせ管理画面</title>
<link href="style.css" rel="stylesheet" type="text/css" media="all" />
</head>
<body id="auth">
<?php echo $error;?>
 <div id="login_form">
 <p class="taC">管理画面に入場するにはログインする必要があります。<br />管理者以外の入場は固くお断りします。</p>
<form action="admin.php" method="post">
<label for="userid">ユーザーID</label>
<input class="input" type="text" name="userid" id="userid" value="" style="ime-mode:disabled" />
<label for="password">パスワード</label>      
<input class="input" type="password" name="password" id="password" value="" size="30" />
<p class="taC">
<input class="button-primary" type="submit" name="login_submit" value="　ログイン　" />
</p>
</form>
</div>
</body>
</html>
<?php
exit();
}

//----------------------------------------------------------------------
//  ログイン処理 (END)
//----------------------------------------------------------------------


//----------------------------------------------------------------------
//  データ保存用ファイルのパーミッションチェック (START)
//----------------------------------------------------------------------

if (!is_writable($file_path)){
	$messe = $perm_check01;
}elseif(!@is_writable($img_updir)){
	$messe = $perm_check02;
}elseif(@$_GET['check']=='permission'){
	 $messe = $perm_check03;
}

//----------------------------------------------------------------------
//  データ保存用ファイルのパーミッションチェック (END)
//----------------------------------------------------------------------


//----------------------------------------------------------------------
//  書き込み・編集処理 (START)
//----------------------------------------------------------------------

if ( (isset($_POST['submit']) || isset($_POST['edit_submit']) ) && !isset($_POST['del'])){
	  
		//各記事にユニークなIDを付与　uniqid（PHP3以下）が無ければ年月日時分秒
		if(isset($_POST['edit_submit'])){ 
			  $id = $_POST['id'];
		}elseif(function_exists('uniqid')){//PHP4以上
			  $id = @date("Ymd").'_'.md5(uniqid(rand(),TRUE));
		}else{
			  $id = @date("YmdHis");
		}
	//----------------------------------------------------------------------
	//  画像縮小保存処理 GD必須 (START)
	//----------------------------------------------------------------------
	
		if (is_uploaded_file($_FILES["upfile"]["tmp_name"])) {
			if ($_FILES["upfile"]["size"] < $maxImgSize) {
			$imgType = $_FILES['upfile']['type'];
			if ($imgType == 'image/gif') {
			  $extension = 'gif';
			  $image = ImageCreateFromGIF($_FILES['upfile']['tmp_name']); //GIFファイルを読み込む
			} else if ($imgType == 'image/png' || $imgType == 'image/x-png') {
			  $extension = 'png';
			  $image = ImageCreateFromPNG($_FILES['upfile']['tmp_name']); //PNGファイルを読み込む
			} else if ($imgType == 'image/jpeg' || $imgType == 'image/pjpeg') {
			  $extension = 'jpg';
			  $image = ImageCreateFromJPEG($_FILES['upfile']['tmp_name']); //JPEGファイルを読み込む
			} else if ($extension == '') {
			  exit("<center>【許可されていない拡張子です。jpg、gif、pngのいずれかのみです】<br /><br /><a href='admin.php'>戻る&gt;&gt;</a></center>");
			}
				
			  if(strpos($id,'no_disp') !== false) {
			    $file_id = str_replace('no_disp','',$id);
			  	$filename = $file_id.".".$extension;//ファイル名を指定
			  }else{
			  	$filename = $id.".".$extension;//ファイル名を指定
			  }
			  
			  $img_file_path = $img_updir.'/'.$filename;//ファイルパスを指定
			  $img_file_path_thumb = $img_updir.'/'.'thumb_'.$filename;//サムネイルファイルパスを指定
			  
			  //読み込んだ画像のサイズ
			  $width = ImageSX($image); //横幅（ピクセル）
			  $height = ImageSY($image); //縦幅（ピクセル）
			  if($width>$imgWidthHeight or $height>$imgWidthHeight){//画像の縦または横が$imgWidthHeightより大きい場合は縮小して保存
			  if ($height < $width){//横写真の場合の処理
			  $new_width = $imgWidthHeight; //幅指定px
			  $rate = $new_width / $width; //縦横比を算出
			  $new_height = $rate * $height;
			  
			  //サムネイル用処理
			  $new_width_thumb = $imgWidthHeightThumb;//高さ指定px
			  $rate_thumb = $new_width_thumb / $width;//縦横比を算出
			  $new_height_thumb = $rate_thumb * $height;
			  
			  }else{//縦写真の場合の処理
			  $new_height = $imgWidthHeight; //高さ指定px
			  $rate = $new_height / $height; //縦横比を算出
			  $new_width = $rate * $width;
			  
			  //サムネイル用処理
			  $new_height_thumb = $imgWidthHeightThumb; //高さ指定px
			  $rate_thumb = $new_height_thumb / $height; //縦横比を算出
			  $new_width_thumb = $rate_thumb * $width;
			  }
			  
			  $new_image = ImageCreateTrueColor($new_width, $new_height);
			  $new_image_thumb = ImageCreateTrueColor($new_width_thumb, $new_height_thumb);//サムネイル作成
			  
			  ImageCopyResampled($new_image,$image,0,0,0,0,$new_width,$new_height,$width,$height);
			  ImageCopyResampled($new_image_thumb,$image,0,0,0,0,$new_width_thumb,$new_height_thumb,$width,$height);//サムネイル作成
			  
				  if($imgType == 'image/jpeg' || $imgType == 'image/pjpeg'){
					if(!@is_int($img_quality)) $img_quality = 80;//画質に数字以外の無効な文字列が指定されていた場合のデフォルト値
				  ImageJPEG($new_image, $img_file_path, $img_quality); //3つ目の引数はクオリティー（0～100）
				  ImageJPEG($new_image_thumb, $img_file_path_thumb, $img_quality); //サムネイル作成
				  }
				  
				  if ($imgType == 'image/gif') {
				  ImageGIF($new_image, $img_file_path);//環境によっては使えない
				  ImageGIF($new_image_thumb, $img_file_path_thumb);//サムネイル作成
				  }
				  
				  if ($imgType == 'image/png' || $imgType == 'image/x-png') {
				  ImagePNG($new_image, $img_file_path);
				  ImagePNG($new_image_thumb, $img_file_path_thumb);//サムネイル作成
				  }
				  
			  //メモリを解放
			  imagedestroy ($image); //イメージIDの破棄
			  imagedestroy ($new_image); //元イメージIDの破棄
			  imagedestroy ($new_image_thumb); //サムネイル元イメージIDの破棄
			  
			  }else{//画像が$imgWidthHeightより小さい場合はそのまま保存
				  move_uploaded_file($_FILES['upfile']['tmp_name'],$img_file_path);
				  
					  //----------------------------------------------------------------------
					  //  サムネイル生成処理  (START)
					  //----------------------------------------------------------------------
			  		if($width>$imgWidthHeightThumb or $height>$imgWidthHeightThumb){//画像の縦または横がサムネイル指定サイズより大きい場合は生成
					  if ($height < $width){//横写真の場合の処理
					  
					  $new_width_thumb = $imgWidthHeightThumb;//高さ指定px
					  $rate_thumb = $new_width_thumb / $width;//縦横比を算出
					  $new_height_thumb = $rate_thumb * $height;
					  
					  }else{//縦写真の場合の処理
					  
					  $new_height_thumb = $imgWidthHeightThumb; //高さ指定px
					  $rate_thumb = $new_height_thumb / $height; //縦横比を算出
					  $new_width_thumb = $rate_thumb * $width;
					  }
					  $new_image_thumb = ImageCreateTrueColor($new_width_thumb, $new_height_thumb);//サムネイル作成
					  ImageCopyResampled($new_image_thumb,$image,0,0,0,0,$new_width_thumb,$new_height_thumb,$width,$height);//サムネイル作成
					  
						  if($imgType == 'image/jpeg' || $imgType == 'image/pjpeg'){
							if(!@is_int($img_quality)) $img_quality = 80;//画質に数字以外の無効な文字列が指定されていた場合のデフォルト値
						  ImageJPEG($new_image_thumb, $img_file_path_thumb, $img_quality); //サムネイル作成
						  }
						  if ($imgType == 'image/gif') {
						  ImageGIF($new_image_thumb, $img_file_path_thumb);//サムネイル作成
						  }
						  if ($imgType == 'image/png' || $imgType == 'image/x-png') {
						  ImagePNG($new_image_thumb, $img_file_path_thumb);//サムネイル作成
						  }
					  imagedestroy ($new_image_thumb); //サムネイル元イメージIDの破棄
					}
					  //----------------------------------------------------------------------
					  //  サムネイル生成処理  (END)
					  //----------------------------------------------------------------------
				  
			  }
				  @chmod($img_file_path, 0666);
				  @chmod($img_file_path_thumb, 0666);
			
			}else{
			  $maxImgSize = number_format($maxImgSize);
			  exit("<center>【画像がファイルサイズオーバーです。{$maxImgSize}バイト以下にして下さい】<br /><br /><a href='admin.php'>戻る&gt;&gt;</a></center>");
			}
		}
	//----------------------------------------------------------------------
	//  画像縮小保存処理 GD必須 (END)
	//----------------------------------------------------------------------
	  
		$up_ymd=mb_convert_kana($_POST['year'], 'n',"UTF-8")."/".mb_convert_kana($_POST['month'], 'n',"UTF-8")."/".mb_convert_kana($_POST['day'], 'n',"UTF-8");
		
		if(isset($_POST['title'])){
		  $title = replace_func($_POST['title']);
		}
		
		if($extension == ""){
			$extension = $_POST['extension_type'];
		}
		$lines = file($file_path);
		
		$fp = @fopen($file_path, "r+b") or die("fopen Error!!DESUYO--!!!");
		$news_data = $id  . "," .$up_ymd. "," .$title. "," .$extension. "\n";
		  // 俳他的ロック
		  if (flock($fp, LOCK_EX)) {
			  ftruncate($fp,0);
			  rewind($fp);
			  // 書き込み
			  if (isset($_POST['submit'])){
			  fwrite($fp, $news_data);
			  if ($max_line!='') $max_line --;
			  }
			  if ($max_line!='' and count($lines) > $max_line) {
				  $max_i = $max_line;
			  } else {
				  $max_i = count($lines);
			  }
			  for ($i = 0; $i < $max_i; $i++) {
			  if (isset($_POST['edit_submit'])){
				  $lines_array[$i] = explode(",",$lines[$i]);
				  if($lines_array[$i][0] != $id){
					   fwrite($fp, $lines[$i]);
				  }else{
					  fwrite($fp, $news_data);
				  }
			  }else{			
				  fwrite($fp, $lines[$i]);
			  }
		  }
		}@fclose($fp);
	//再送信防止リダイレクト
	@header("Location: ./complete.php");
	@exit();
//----------------------------------------------------------------------
//  書き込み・編集処理 (END)
//----------------------------------------------------------------------
}

//----------------------------------------------------------------------
//  データ削除処理 (START)
//----------------------------------------------------------------------
	if(isset($_POST['del'])){
		$id=$_POST['id'];
		$extension_type = $_POST['extension_type'];
		$lines = file($file_path);
		$fp = @fopen("$file_path", "r+b") or die("なぜかファイルオープンエラー");
	   	if(flock($fp, LOCK_EX)) {
			ftruncate($fp,0);
			rewind($fp);
			if ($max_line!='' and count($lines) > $max_line) {
				$max_i = $max_line;
			} else {
				$max_i = count($lines);
			}
			for ($i = 0; $i < $max_i; $i++) {
				$lines_array[$i] = explode(",",$lines[$i]);
				if($lines_array[$i][0] != $id){
					 fwrite($fp, $lines[$i]);
				}else{
					$lines[$i] = '';
					fwrite($fp, $lines[$i]);
				}
			}
		}
		@fclose($fp);
		//アップ画像も削除
		if(strpos($id,'no_disp') !== false) $id = str_replace('no_disp','',$id);
		if(@unlink("{$img_updir}/{$id}.{$extension_type}")) $messe .= "画像削除完了しました！ ";//メイン画像削除
		if(@unlink("{$img_updir}/thumb_{$id}.{$extension_type}")) $messe .= "サムネイル画像削除完了しました！ ";//サムネイル削除
	}
//----------------------------------------------------------------------
//  データ削除処理 (END)
//----------------------------------------------------------------------

//----------------------------------------------------------------------
//  再表示処理 非表示処理 (START)
//----------------------------------------------------------------------
    $mode=htmlspecialchars(@$_GET['mode'],ENT_QUOTES,'utf-8');
	if($mode=='disp' or $mode=='no_disp'){
	$id=$_GET['id'];
	$lines = file($file_path);
 	$fp = @fopen("$file_path", "r+b") or die("なぜかファイルオープンエラー");
   if (flock($fp, LOCK_EX)) {
		ftruncate($fp,0);
		rewind($fp);
      if($max_line!='' && count($lines) > $max_line) {
          $max_i = $max_line;
      }else{
          $max_i = count($lines);
      }
	  for ($i = 0; $i < $max_i; $i++) {
		  
		$lines_array[$i] = explode(",",$lines[$i]);
		if($lines_array[$i][0]!= $id){
			 fwrite($fp, $lines[$i]);
		}else{
			if($mode=='disp'){//表示処理
			$lines[$i] = str_replace("no_disp","",$lines[$i]);
			$messe= "表示処理完了しました！ ";
			}else if($mode=='no_disp'){//非表示処理
			$messe= "非表示処理完了しました！ ";
			$lines[$i] ="no_disp".$lines[$i];
			}
		   fwrite($fp, $lines[$i]);
		}
	  }
    }
  @fclose($fp);
}
//----------------------------------------------------------------------
//  再表示処理 非表示処理 (END)
//----------------------------------------------------------------------
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="robots" content="noindex,nofollow" />
<title>ギャラリー管理画面</title>
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<link href="style.css" rel="stylesheet" type="text/css" media="all" />
<meta http-equiv="Pragma" content="no-cache">
<meta http-equiv="Cache-Control" content="no-cache">
<meta http-equiv="Expires" content="Thu, 01 Dec 1994 16:00:00 GMT">
<link rel="stylesheet" type="text/css" href="js/lightbox/jquery.lightbox-0.5.css"/>
<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>   
<script type="text/javascript" src="js/common.js"></script>
<script type="text/javascript" src="js/lightbox/jquery.lightbox-0.5.min.js"></script>
<script type="text/javascript">
//lightbox
    $(function() {
        $('a.photo').lightBox();
    });
</script>
</head>
<body id="admin">
<div id="wrapper">
<?php if(!$copyright){echo $warningMesse; exit;}else{?>
<?php if(!empty($messe))echo "<p class=\"fc_red message_com\">{$messe}</p>"; ?>
<?php if(@$_GET['mode'] == 'complete') echo "<p class=\"fc_red message_com\">登録が完了しました</p>"; ?>
  <div class="logout_btn"><a href="?logout=true">ログアウト</a></div>
  <h1>ギャラリー 管理画面</h1>
  <h2>画像登録・編集フォーム</h2>

<form method="post" action="admin.php" enctype="multipart/form-data" style="margin:0;" name="form">
<?php
//----------------------------------------------------------------------
// 　編集フォーム表示処理 (START)
//----------------------------------------------------------------------

   $mode=htmlspecialchars(@$_GET['mode'],ENT_QUOTES,'utf-8');
if($mode=='edit'){
	$id=$_GET['id'];
    $lines = file($file_path);
    $max_i = count($lines);
 for ($i = 0; $i < $max_i; $i++){
	 $lines_array[$i] = explode(",",$lines[$i]);
	 if($lines_array[$i][0]==$id){
	$lines_array[$i][3] = rtrim($lines_array[$i][3]);//改行コードをトリミング
	$lines_array[$i][2] = str_replace("<br />","\n",$lines_array[$i][2]);//改行（<br />）を改行コードに変換
	
echo <<<EOM
<p style="color:red;font-size:16px;">下記内容を編集後「変更」ボタンを押してください。<a href="admin.php">編集をキャンセル⇒</a></p>
<input type="hidden" name="id" value="{$id}" /><input type="hidden" name="extension_type" value="{$lines_array[$i][3]}" />
EOM;

if(strpos($id,'no_disp')==0) $id = str_replace('no_disp','',$id);
//現在の画像表示
echo <<<EOM
<p class="taC target_photo"><a href="{$img_updir}/{$id}.{$lines_array[$i][3]}" class="photo"><img src="{$img_updir}/{$id}.{$lines_array[$i][3]}" height="200" /></a></p>
EOM;

$up_ymd_array[$i] = explode("/",$lines_array[$i][1]);

echo <<<EOM
<p>日付：<input type="text" name="year" size="5" maxlength="4" value="{$up_ymd_array[$i][0]}" /> 年 <input type="text" name="month" size="2" maxlength="2" value="{$up_ymd_array[$i][1]}" /> 月 <input type="text" name="day" size="2" maxlength="2" value="{$up_ymd_array[$i][2]}" /> 日　※並び順にも使用します</p>

<p>■写真タイトル、説明など（htmlタグ不可） ※未入力も可<br />※画像拡大時、及びaltに反映されます。<br /><textarea name="title" cols="60" rows="4">{$lines_array[$i][2]}</textarea><br />

<p>■削除チェック　<input type="checkbox" name="del" value="true" /> <span style="font-size:13px;color:#666">※削除する場合はこちらにチェックを入れて「変更」ボタンを押してください。データ（画像データ含む）は完全に削除されます。</p>

<p>■画像アップロード（jpg、gif、pngのみ）<br />※事前に縮小の必要はありません。横写真または縦写真とも設定ファイル（config.php）で設定した幅、または高さに自動縮小されます。現在は<span style="color:red">{$imgWidthHeight}</span>px<br />※日本語ファイル名でも問題ありません。自動で半角英数字にリネームされます。
<br />

<input type="file" name="upfile" size="50" /> （MAX 5MB）<br /></p>
<p align="center"><input type="submit" class="submit_btn" name="edit_submit" value="　変更、または削除実行　" /></p>
EOM;
break;	 }
	}
//----------------------------------------------------------------------
// 　編集フォーム表示処理 (END)
//----------------------------------------------------------------------
}else{
//----------------------------------------------------------------------
// 　新規登録フォーム表示処理 (START)
//----------------------------------------------------------------------
?>
<p>日付：<input type="text" name="year" size="5" maxlength="4" value="<?php echo @date("Y",time());?>" /> 年 <input type="text" name="month" size="2" maxlength="2" value="<?php echo @date("n",time());?>" /> 月 <input type="text" name="day" size="2" maxlength="2" value="<?php echo @date("j",time());?>" /> 日　※並び順にも使用します</p>
<p>■写真タイトル、説明など（htmlタグ不可） ※未入力も可<br />※画像拡大時、及びaltに反映されます。<br /><textarea name="title" cols="60" rows="4"></textarea>
</p>
<p>■画像アップロード（jpg、gif、pngのみ）<br />
※事前に縮小の必要はありません。横写真または縦写真とも設定ファイル（config.php）で設定した幅、または高さに自動縮小されます。現在は<span style="color:red"><?php echo $imgWidthHeight;?></span>px<br />※日本語ファイル名でも問題ありません。自動で半角英数字にリネームされます。<br />

<input type="file" name="upfile" size="50" /> （MAX 5MB）</p>
<p align="center"><input type="submit" class="submit_btn" name="submit" value="　新規登録　" onclick="return check()"/></p>
<?php
//----------------------------------------------------------------------
// 　新規登録フォーム表示処理 (END)
//----------------------------------------------------------------------
}
?>
</form>
  <h2>登録画像一覧</h2>
  <p>※並び順は日付順です。日付が同じ場合、新しいものが上になります。<br />※画像の変更が反映されない場合はブラウザのキャッシュが原因です。→のボタンまたはF5キーで更新してください。
<button onclick="f5()">更新する</button></p>
<?php 
$lines = newsListSort(file("$file_path"));
$max_i = count($lines);
echo <<<EOF
<p class="taR">[ 登録数：{$max_i} ]</p>
EOF;
?>
<div id="gallery_wrap">
<ul id="gallery_list" class="clearfix">
<?php
//----------------------------------------------------------------------
//  リスト表示処理 (START)
//----------------------------------------------------------------------

for ($i = 0; $i < $max_i; $i++){
	
	$lines_array[$i] = explode(",",$lines[$i]);
	$id=$lines_array[$i][0];
	$lines_array[$i][3] = rtrim($lines_array[$i][3]);
	$lines_array[$i][1] = ymd2format($lines_array[$i][1]);//日付フォーマットの適用
	$alt_text = str_replace('<br />','',$lines_array[$i][2]);
	if(strpos($lines[$i], 'no_disp')!==false){
	$img_id = str_replace('no_disp','',$lines_array[$i][0]);

echo <<<EOF

<li class="no_disp"> {$lines_array[$i][1]} <a class="photo" href="{$img_updir}/{$img_id}.{$lines_array[$i][3]}" title="{$lines_array[$i][1]}<br />{$lines_array[$i][2]}"><img src="{$img_updir}/thumb_{$img_id}.{$lines_array[$i][3]}" height="75" alt="{$lines_array[$i][2]}" title="{$alt_text}" /></a><a class="button" href="?mode=disp&id={$id}">表示する</a><a class="button" href="?mode=edit&id={$id}">[編集・削除]</a><div class="hidden_text">非表示中</div></li>

EOF;
	}else{
echo <<<EOF

<li>{$lines_array[$i][1]}  <a class="photo" href="{$img_updir}/{$id}.{$lines_array[$i][3]}" title="{$lines_array[$i][1]}<br />{$lines_array[$i][2]}"><img src="{$img_updir}/thumb_{$id}.{$lines_array[$i][3]}" alt="{$lines_array[$i][2]}" height="75" title="{$alt_text}" /></a><a class="button" href="?mode=no_disp&id={$id}">非表示にする</a><a class="button" href="?mode=edit&id={$id}">編集・削除</a></li>

EOF;
	}
}
//----------------------------------------------------------------------
//  リスト表示処理 (END)
//----------------------------------------------------------------------
?>
</ul>
</div>
<br />
<br />
<?php echo $copyright;}//著作権表記リンク無断削除禁止?>
</div>
</body>
</html>