<?php
#######################################################################################
##
#  PHPギャラリー　ver1.0.0 (2013.07.13公開)
#
#  画像ギャラリーのプログラムです。
#　任意のページに埋め込みギャラリーページとして運用できます。
#  改造や改変は自己責任で行ってください。
#	
#  今のところ特に問題点はありませんが、不具合等がありましたら下記までご連絡ください。
#  MailAddress: info@php-factory.net
#  name: K.Numata
#  HP: http://www.php-factory.net/
##
#######################################################################################
?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" />
<title>ギャラリー詳細ページ</title>
<meta name="Keywords" content="" />
<meta name="Description" content="" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
<meta name="format-detection" content="telephone=no">

<!-- ▽▽▽　埋め込み時以下head部にコピペ ここから　▽▽▽ -->

<style type="text/css">

/*--- CSSは設置ページ合わせて自由に編集ください --*/

/*---------------------------------
	        Base CSS 
---------------------------------*/
body{ 
	margin:0;padding:0;
	color:#555;
}
#gallery_wrap {
	padding:5px;
	font-size:90%;
}
.detail_photo{
	text-align:center;	
}
.detail_photo img{
	max-width:100%;
	height:auto;
}
.detail_title{
	
}
.detail_text{
	
}
/*---------------------------------
	       /Base CSS 
---------------------------------*/

</style>

<!-- △△△　埋め込み時head部にコピペ ここまで　△△△ -->

</head>
<body>

<!-- ▽▽▽　任意のページへ埋め込み時表示したい場所へコピペここから　▽▽▽ -->
<div id="gallery_wrap">
<?php
include_once("../gallery/config.php");//設定ファイルインクルード
$file_path = "../gallery/data/news.dat";//データファイルの相対パス
$img_updir = "../gallery/upimg";//画像の保存先相対パス

if(isset($_GET['id'])) $id = $_GET['id'];else exit('パラメータが無効です');
if(!$copyright){echo $warningMesse; exit;}else{
$lines = newsListSortUser(file($file_path));//ファイル内容を取得
$max_i = count($lines);
for($i = 0; $i < $max_i; $i++){
	$lines_array[$i] = explode(",",$lines[$i]);
  if($id == $lines_array[$i][0] && strpos($lines[$i][0],'no_disp') === false){
	$lines_array[$i][3] = rtrim($lines_array[$i][3]);
	$lines_array[$i][1] = ymd2format($lines_array[$i][1]);//日付フォーマットの適用
	if($encodingType!='UTF-8') $lines_array[$i][1]=mb_convert_encoding($lines_array[$i][1],"$encodingType",'UTF-8');
	if($encodingType!='UTF-8') $lines_array[$i][2]=mb_convert_encoding($lines_array[$i][2],"$encodingType",'UTF-8');
	$alt_text = str_replace(array('<br />','<br>'),'',$lines_array[$i][2]);
		
//ギャラリー表示部（HTML部は自由に変更可）
echo <<<EOF
<p class="detail_photo"><img src="{$img_updir}/{$lines_array[$i][0]}.{$lines_array[$i][3]}" alt="{$alt_text}" /></p>
<p class="detail_title">{$lines_array[$i][1]}</p>
<p class="detail_text">{$lines_array[$i][2]}</p>

EOF;
break;
  }
}
?>
<!-- このあたりに戻るボタンなどのリンクを設置すると良いかもしれません -->
<?php if($encodingType!='UTF-8') $copyright=mb_convert_encoding($copyright,"$encodingType",'UTF-8');echo $copyright;}//著作権表記削除不可?>
</div>

<!-- △△△　任意のページへ埋め込み時表示したい場所へコピペここまで　△△△ -->

</body>
</html>